summaryrefslogtreecommitdiff
path: root/test/lib/check.sh
diff options
context:
space:
mode:
authorZdenek Kabelac <zkabelac@redhat.com>2017-06-20 17:15:07 +0200
committerZdenek Kabelac <zkabelac@redhat.com>2017-06-20 18:24:52 +0200
commit3d591ac376b369de78d8471c2651256c5eb52b1f (patch)
tree970491e38e1dde028fd5f0821e52c9e16c24498e /test/lib/check.sh
parent1ea41b6d486cc34bf55e51eaac60f2cadfc866c3 (diff)
downloadlvm2-3d591ac376b369de78d8471c2651256c5eb52b1f.tar.gz
tests: avoid double lines
Skip showing same line twice in test's verbose log.
Diffstat (limited to 'test/lib/check.sh')
-rw-r--r--test/lib/check.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/lib/check.sh b/test/lib/check.sh
index 64812fbd1..5eec9368f 100644
--- a/test/lib/check.sh
+++ b/test/lib/check.sh
@@ -411,7 +411,7 @@ raid_leg_status() {
grep_dmsetup() {
dmsetup $1 $2 | tee out
- grep "${@:3}" out || die "Expected output from dmsetup $1 not found!"
+ grep -q "${@:3}" out || die "Expected output \"${@:3}\" from dmsetup $1 not found!"
}
#set -x